/* --------------------------------------------------------------- */
/* Linker script for STM32F103RB chip                              */
/* --------------------------------------------------------------- */
/* 2010.12.08 Initial MFC                                          */
/*            Used in Olimex STM32-103STK board                    */

/* --------------------------------------------------------------- */
/* The following symbols customize this script for a given chip    */
/* and are visible to C code upon linking; refer to them using     */
/* the & address operator.  Additional symbols are set by the      */
/* tollos.ld script (q.v.).                                        */
/*                                                                 */
/*   chipRAMbase   -- RAM origin                                   */
/*   chipRAMsize   -- RAM size                                     */
/*   chipROMbase   -- ROM (flash) origin                           */
/*   chipROMsize   -- ROM size [e.g., 512K]                        */
/*   chipSRAM0base -- SRAM0 origin                                 */
/*   chipSRAM0size -- SRAM0 size                                   */
/*   chipSRAM1base -- SRAM1 origin                                 */
/*   chipSRAM1size -- SRAM1 size                                   */
/*                                                                 */
/*   chipCAN       -- 0=none, n=number available                   */
/*   chipDAC       -- 0=none, n=number available                   */
/*   chipEthernet  -- 0=none, n=number available                   */
/*   chipI2C       -- 0=none, n=number available                   */
/*   chipI2S       -- 0=none, n=number available                   */
/*   chipUSB       -- 0=none, 1=Device, 3=Device/Host/OTG          */
/*                                                                 */
/*   chipMaxClock  -- Hz [e.g., 100000000]                         */
/*   chipVectors   -- total number of interrupt vectors            */
/*                    (including the 16 base vectors)              */
/* --------------------------------------------------------------- */

chipRAMbase   = 0x20000000;
chipRAMsize   = 20K;
chipROMbase   = 0x08000000;   /* aliased to 0x00000000 for boot */
chipROMsize   = 128K;

chipSRAM0base = 0x20010000;
chipSRAM0size = 0K;
chipSRAM1base = 0x20010000;
chipSRAM1size = 0K;

chipCAN       = 1;
chipDAC       = 0;
chipEthernet  = 0;
chipI2C       = 2;
chipI2S       = 0;
chipUSB       = 1;

chipMaxClock  = 72000000;
chipVectors   = 75;           /* to #59 */
                              /* connectivity line to #67 = 83 */

/* --------------------------------------------------------------- */
/* Include the generic link script for all ARM-based chips         */
/* --------------------------------------------------------------- */

INCLUDE tollos.ld

